function AlbumData(name,photoList){
	this.name = name;
	this.count = photoList.length;
	this.photoList = photoList;
	this.prevButtonId = name + "_arrow_prev";
	this.nextButtonId = name + "arrow_next";
	this.imageId = name + "_image";
	this.albumId = name + "_album";
	this.navTitleId = name+"navId";
	this.descId = name+"descId"
	this.imageContainer = name + "imageContainer";
	this.imageLoadingId = name + "loading";
	this.backButtonId = name + "backButton";
	this.currentPhoto = photoList[0];
	this.photoId = 0;

	this.getCurrentPhoto = function(){
	   if(this.photoId>this.count-1){
	       this.photoId = 0;
	   }
	   if(this.photoId<0){
		   this.photoId = this.count-1;  
	   }
	   return this.photoList[this.photoId];
	}
	
	this.getCurrentNavTitle = function(){
	   if(this.photoId>this.count-1){
	       this.photoId = 0;
	   }
	   if(this.photoId<0){
		   this.photoId = this.count-1;  
	   }
	   return (this.photoId + 1) + " / " + this.count;
	}
	
}

function Album(name,albumData,fromPage,callBack){
	/*
	  photo list:
	  array[
		array[title,desc,imgUrl],
		array[title,desc,imgUrl],
		...
        ]	
	*/
	this.photoId = 0;
	this.photoList = albumData.photoList;
	this.currentPhoto = albumData.getCurrentPhoto();	
	this.totalCount = albumData.count;
	this.rightClickEvent = null;
	this.leftCilckEvent = null;
	this.prevButtonId = name + "_arrow_prev";
	this.nextButtonId = name + "arrow_next";
	this.imageId = name + "_image";
	this.albumId = name + "_album";
	this.navTitleId = name+"navId";
	this.descId = name+"descId"
	this.imageContainer = name + "imageContainer";
	this.imageLoadingId = name + "loading";
	this.backButtonId = name + "backButton";
	this.bind = function(){
        this.resizeAlbum();
		$('#'+this.prevButtonId).click(this.prev);
		$('#'+this.nextButtonId).click(this.next);	
		$('#'+this.imageId).load(this.resizePhoto);
	},
	this.getCurrentPhoto=function(index){
		return this.photoList[index];
	}
	this.getNavTitle = function(){
	   return (this.photoId +1) + ' / '+ this.totalCount;
	}
	this.getBackButtonEvent = function(){
		var eventStr = '';
		if(fromPage=='Screen2'){
		   eventStr = 'backToScreen2()';	   
		}else{
		   eventStr = 'backToScreen1()';
		}
		return eventStr;
	}
    this.html = function(){		
	   /*
	   this.currentPhoto.imgUrl = 'http://localhost:81/temp/stoudemire-101212.jpg';
	   */
		var albumHtml = '<div id="'+this.albumId+'" class="album">'+
		'	<p id="'+this.navTitleId+'" class="album_title">'+this.getNavTitle()+'</p>'+
		'	<table style="width:100%;height:100%"><tr><td id="'+this.imageContainer+'" class="image-container">'+
		'       <img id="'+this.imageId+'" src="'+this.currentPhoto.imgUrl+'"/>'+
		'       <img id="'+this.imageLoadingId+'" src="images/loading.gif"/>'+
		'    </td></tr></table>'+
		'	<a href="#_" id="'+this.prevButtonId+'" class="album_arrow album_left"></a>'+
		'	<a href="#_" id="'+ this.nextButtonId+'" class="album_arrow album_right"></a>'+
		'	<a href="#_" id="'+ this.backButtonId+'" onclick="'+this.getBackButtonEvent()+'" class="back-button"></a>'+
		'	<p class="photo_desc" id="'+this.descId+'">'+this.currentPhoto.desc+'</p>'+
		'</div>';
	  return albumHtml;
	}
	this.resizeAlbum = function(){
	   	var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		//$("#"+this.imageContainer).height(windowHeight*0.85);
		
		$('#'+this.albumId).height(windowHeight);
		$('#'+this.albumId).width(windowWidth);
		
		//$('#'+this.imageId).height(windowHeight*0.85);
		$//('#'+this.imageId).width(windowWidth*1);
		
		
		if(windowWidth>windowHeight){			
			$('#'+albumData.imageId).height(windowHeight);	
		}else{
			$('#'+albumData.imageId).width(windowWidth);
		}
		
		
		$("#"+this.prevButtonId).width(windowWidth/2);
		$("#"+this.nextButtonId).width(windowWidth/2);		
		
		$("#"+this.descId).width(windowWidth-20);
		$("#"+this.descId).css('padding','10px');
		
		$("#"+this.imageLoadingId).show();
		$("#"+this.imageId).hide();
	}	
	//Extenal Bind Functions, they cannot use variable in this class.
	this.resizePhoto = function(){		
		$("#"+albumData.imageId).show();
		$("#"+albumData.imageLoadingId).hide();	
	}
	this.onBack = function(){
	    
	}
	this.prev=function(){
		albumData.photoId--;
		var currentPhoto =albumData.getCurrentPhoto();
		$("#"+albumData.imageId).attr('src',currentPhoto.imgUrl);
		$("#"+albumData.navTitleId).html(albumData.getCurrentNavTitle());
		$("#"+albumData.descId).html(currentPhoto.desc);
		
		$("#"+albumData.imageLoadingId).show();
		$("#"+albumData.imageId).hide();
	},
	this.next=function(){
		albumData.photoId++;
		var currentPhoto = albumData.getCurrentPhoto();
		//$("#"+albumData.imageId).attr('src','http://localhost:81/temp/stoudemire-101212.jpg');
		$("#"+albumData.imageId).attr('src',currentPhoto.imgUrl);
		$("#"+albumData.navTitleId).html(albumData.getCurrentNavTitle());
		$("#"+albumData.descId).html(currentPhoto.desc);
		
		$("#"+albumData.imageLoadingId).show();
		$("#"+albumData.imageId).hide();
	}
}