/* Game Urls */
var GameUrls = {
	// debug urls
	debug:false,
	debugUrlBase:"http://localhost:81/temp/nba",
	// config url
	configUrl:"http://nlmobile.cdnak.neulion.com/nba/config/nba_nokia_2010.xml",
	neulionUrl:"http://www.neulion.com/",
	
	feedbackUrl:"",
	//feedbackUrl:"nbagtsupport@neulion.com",
	
	
	// loc urls
	locSeverInit:"http://nlmobile.cdnak.neulion.com/nba",
	locServer:"http://nlmobile.cdnak.neulion.com/nba",
    // urls
    urlBase:"http://nlmobile.cdnak.neulion.com/nba",
	twitterUrl:"http://twitter.com/statuses/user_timeline/19923144.rss",
	
	playerImageUrlBase:"http://www.nba.com/csl",
	
	//Ad urls
	latestAdUrl:"http://ad.doubleclick.net/adj/nokia.dart/latest_lite;sz=468x60;ord=",
	gamesMainAdUrl:"http://ad.doubleclick.net/adj/nokia.dart/games_main_lite;sz=468x60;ord=",
	newsMainAdUrl:"http://ad.doubleclick.net/adj/nokia.dart/news_main_lite;sz=468x60;ord=",
	videoMainAdUrl:"http://ad.doubleclick.net/adj/nokia.dart/video_main_lite;sz=468x60;ord=",
	photosMainAdUrl:"http://ad.doubleclick.net/adj/nokia.dart/photos_main_lite;sz=468x60;ord=",
	
	// return yyyyMMdd
    formatDateStr:function(yyyyMMdd){
		var dateStr = yyyyMMdd.substr(0,4)+"/"+yyyyMMdd.substr(4,2)+"/"+yyyyMMdd.substr(6,2);		
		return dateStr;
	},
	// return yyyyMMdd
	formatDateStr1:function(gameDate){
		return gameDate;
	},	
    formatDateStr2:function(MMddyyyy){		
	    //pass MM/dd/yyyy, return yyyy/MM/dd
		var gameDataArray = MMddyyyy.split('/');
		var dateStr = gameDataArray[2]+"/"+gameDataArray[0]+"/"+gameDataArray[1];
		
		return dateStr;
	},
	getPeriodStr:function(period){
	   if (period == 0) {
			return "";
		} else if (period >= 1 && period <= 4) {
			return "Q" + period;
		} else {
			return "O" + (period - 4);
		}
	},
	getConfigUrl:function(){
	    if(GameUrls.debug)
		   return GameUrls.debugUrlBase+"/config.xml";
		   
		 return GameUrls.configUrl;
	},	
	getLocServer:function() {
		return GameUrls.locServer;
	},	
	setLocServer:function(locServer) {
		GameUrls.locServer = locServer;
	},
	getGameInfoUrl:function(gameDate) {
	  //gameDate is yyyyMMdd
	  if(GameUrls.debug)	
		 return GameUrls.debugUrlBase + "/" +'games_'+ gameDate + ".xml";
			
	     var url = GameUrls.urlBase + "/stats/" + GameUrls.formatDateStr(gameDate) + "/"+GameUrls.formatDateStr1(gameDate)+".xml";
		 url = url.replace(GameUrls.locSeverInit, GameUrls.locServer);		
		 return url;
	},
	getBoxScoreUrl:function(gameDate,gameNumber){
	   if(GameUrls.debug)
	      //return debugUrlBase+"/game_" + gameNumber + "_boxscore.xml";
		  return GameUrls.debugUrlBase + "/game_40900404_boxscore.xml";	    

		var url = GameUrls.urlBase + "/stats/" + GameUrls.formatDateStr2(gameDate) + "/nokia/"+parseInt(gameNumber,10)+"_boxscore.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;
	},
	getEventPbpUrl:function(gameDate, gameNumber){
	    if(GameUrls.debug)	
		   return GameUrls.debugUrlBase + "/11000022_video.xml";
		   
		var url = GameUrls.urlBase + "/stats/" + GameUrls.formatDateStr2(gameDate) + '/nokia/' + parseInt(gameNumber,10) + "_video.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		return url;
	},
	getPlayByPlayUrl:function(gameDate,gameNumber,period){
		if(GameUrls.debug)
		   return GameUrls.debugUrlBase + "/game_40900404_pbp_Q"+period+".xml";
		 
		 var url = GameUrls.urlBase + "/stats/" + GameUrls.formatDateStr2(gameDate) + "/" +
		        parseInt(gameNumber,10) + "_pbp_" + GameUrls.getPeriodStr(period) + ".xml";
				
		 url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		 return url;
	},
	getPlayerImageUrl:function(firstName, lastName){
		//if(GameUrls.debug)
		// return GameUrls.debugUrlBase + "/player.jpg";
		
		//j.j. hickson or patrick o'bryant or amar'e stoudemire
		if(firstName !='' && firstName != null){
			//remove characters(. or ')
			firstName = firstName.replace(/['|.]/g,"");
		}
		if(lastName !='' && lastName != null){
			//remove characters(. or ')
			lastName = lastName.replace(/['|.]/g,"");
		}
		
		var url = '';
		//have player without firstname
		if(firstName!='' && firstName != null){
			url = GameUrls.playerImageUrlBase + '/'+firstName.toLowerCase() + "_" + lastName.toLowerCase() + ".jpg";
		}else{
			url = GameUrls.playerImageUrlBase + '/'+lastName.toLowerCase() + ".jpg";
		}
		
		return url;
	},
	getStandingsUrl:function(){
	   if(GameUrls.debug)
	   	  return GameUrls.debugUrlBase + "/standings.xml";
		
		var url = GameUrls.urlBase + "/nba_season_standings.xml";

		return url;
	},
	getVideoUrl:function(){
	   if(GameUrls.debug)
	      return GameUrls.debugUrlBase + "/video.xml";
		  
		var url = GameUrls.debugUrlBase + "/common/video_nokia_feed.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;		
	},
	getVideoUrlByCategory:function(categoryId){
	   if(GameUrls.debug)
	       return GameUrls.debugUrlBase + '/video_'+categoryId+'_nokia.xml';
		
		var url = GameUrls.urlBase + "/video/video_" + categoryId + "_nokia.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;
	},
	getTwitterUrl:function(){
	   if(GameUrls.debug)	
	       return GameUrls.debugUrlBase + "/twitter.rss";
		
		return GameUrls.twitterUrl;
	},
	getLatestUrl:function(){
	    if(GameUrls.debug)	
		    return GameUrls.debugUrlBase + "/latest_mobile_feed.xml";
		
		var url = GameUrls.urlBase + "/common/latest_nokia_feed.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;
	},
	getNewsUrl:function(){
	   if(GameUrls.debug)	
	      return GameUrls.debugUrlBase + "/news_mobile_feed.xml";
		
		var url = GameUrls.urlBase + "/common/news_mobile_feed.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;
	},
	getPhotosUrl:function(){
	   if(GameUrls.debug)	
	      return GameUrls.debugUrlBase + "/photos_mobile_feed.xml";
		  
		var url = GameUrls.urlBase + "/common/photos_mobile_feed.xml";
		url = url.replace(GameUrls.locSeverInit, GameUrls.locServer); 
		
		return url;
	},
	getLeaguePassServer:function(){
	   	 if(GameUrls.debug)
		     return GameUrls.debugUrlBase + "/leaguePass.asp";
	      
		  var url = SplashPage.config.locLeaguePassServer + "/secure/login";
		  return url;
	}
	,
	getAdUrl:function(fromPage){
	     if(GameUrls.debug)	
		     return GameUrls.debugUrlBase + "/ad_"+fromPage+".asp";
		 var url = GameUrls.latestAdUrl;
		 
		 if(fromPage=='Latest')
		   url = GameUrls.latestAdUrl;
		 else if(fromPage=='Games')
		   url = GameUrls.gamesMainAdUrl;
		 else if(fromPage=='News')
		   url = GameUrls.newsMainAdUrl;
		 else if(fromPage=='Videos')
		   url = GameUrls.videoMainAdUrl;
		 else if(fromPage=="Photos")
		   url= GameUrls.photosMainAdUrl;
		   
		var currDate = new Date();
		with(currDate){
			var yy=getFullYear();
			var mm=getMonth()+1;
			if(mm<=9)mm="0"+mm;
			var dd=getDate();
			if(dd<=9)dd="0"+dd;
		  url +=yy+mm+dd;//+mms;
		}
		 return url;
	},
	getUpgradeToPremiumLink:function(){
		var url = '';
		if(SplashPage.config.upgradeToPremiumLink)
	     url = SplashPage.config.upgradeToPremiumLink
		 
		 return url;
	},
	getFaqUrl:function(){
	    var url = '';
		if(SplashPage.config.faqURL)
		   url = SplashPage.config.faqURL;
		return url;
	},
	getTosUrl:function(){
	   var url = '';
	   if(SplashPage.config.tosURL)
	      url = SplashPage.config.tosURL;
	   return url;
	}
};
