//MiniView
var NBAMiniView = {
	MINI_VIEW_TRESHOLD:150,
	loop:null,
	loopShow:null,
	news:null,
	newsIndex:0,
	clickedNewsIndex:0,
	
	isCurrentMiniView:function () {
		return window.innerHeight < NBAMiniView.MINI_VIEW_TRESHOLD;
	},
	
	isMiniView:function (height) {
		return height < NBAMiniView.MINI_VIEW_TRESHOLD;
	},
	
	loadPage:function(){
		$('#NBAMiniView')[0].innerHTML=NBAMiniView.messageHtml('Loading...');
		//NBAMiniView.fetchNewsList();
	},
	fetchNewsList:function(){
		var url=GameUrls.getNewsUrl();
		//alert(url);
		NBAMiniView.loopFetchNewsList(url);
	},
	loopFetchNewsList:function(url){
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: NBAMiniView.newsListError,
			success: NBAMiniView.updateNewsList
		});
		if(NBAMiniView.loop)
			clearInterval(NBAMiniView.loop);
		var delayTime=600*1000;
		NBAMiniView.loop=setInterval(function(){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NHL.requestTimeout,
				error: NBAMiniView.newsListError,
				success: NBAMiniView.updateNewsList
			});
		}, delayTime);
	},
	updateNewsList:function(xml){
		//alert(xml);
		var rss = $.xml2json(xml);
		//alert(rss);
		if(rss&&rss.channel&&rss.channel["item"]){
			NBAMiniView.news = rss.channel["item"];
			NBAMiniView.newsIndex=0;
			NBAMiniView.clickedNewsIndex=0;
			NBAMiniView.loopShowNews();
		}else{
			NBAMiniView.newsListError();
		}
	},
	newsListError:function(){
		if(!NBAMiniView.news)
			$('#NBAMiniView')[0].innerHTML=NBAMiniView.messageHtml(ErrorMessage.CONNECTION_ERROR);
	},
	loopShowNews:function(){
		if(NBAMiniView.loopShow)
			clearInterval(NBAMiniView.loopShow);
		var newsCount=NBAMiniView.news.length;
		if(newsCount){
			// if >1 news
			var news=NBAMiniView.news;
			//show first news
			var newsObj=news[NBAMiniView.newsIndex];
			$('#NBAMiniView')[0].innerHTML=NBAMiniView.newsHtml(newsObj);
			var delayTime=15*1000;
			NBAMiniView.loopShow=setInterval(function(){
				//show next news
				NBAMiniView.newsIndex++;
				if(NBAMiniView.newsIndex<0)
					NBAMiniView.newsIndex=news.length-1;
				if(NBAMiniView.newsIndex>news.length-1)
					NBAMiniView.newsIndex=0;
				var newsObj=news[NBAMiniView.newsIndex];
				$('#NBAMiniView')[0].innerHTML=NBAMiniView.newsHtml(newsObj);
			}, delayTime);
		}else{
			// if only 1 news
			var newsObj=NBAMiniView.news;
			$('#NBAMiniView')[0].innerHTML=NBAMiniView.newsHtml(newsObj);
		}
	},
	
	//htmls
	messageHtml:function(message){
		var loadingHtml = '			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td align="center" valign="middle">'+message+'</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		return loadingHtml;
	},
	newsHtml:function(newsObj){
		var newsHtml = '			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n';
		if(newsObj.link)
			newsHtml += '					<td width="110" align="left" valign="middle"><img src="'+newsObj.link+'" width="100" height="56" /></td>\r\n';
		newsHtml += '					<td align="left" valign="middle">'+newsObj.title+'</td>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		return newsHtml;
	}
}