/* Video Page */
var VideoPage = {
	success:false,
	page:null,
	video:null,
	filterFeature:false,
    filterGame:false,
	categories:null,
	adInterval:null,
	loadPage:function(fromPage){
		VideoPage.loadCategoryConfig();
		VideoPage.filterFeature = false;
		VideoPage.filterGame = false;
		VideoPage.page = new PageBase('videoPage');
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    VideoPage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		openScreen1(VideoPage.page.html());

        VideoPage.page.updateNavBarHtml(VideoPageHTML.additionalBar());
		VideoPage.page.showHeaderNav("Video");
		VideoPage.page.resize();

		VideoPage.loadMenu();
        VideoPage.loadMainContent();
		VideoPage.loadAd();
	},	
	loadMainContent:function(){
		VideoPage.loadVideoListByCategory(VideoPage.categories['featured'].id,'featured');
	},
	loadMenu:function(){
	   videoMenuSelected(VideoPage.page.menuBarId);	
	},
	loadAd:function(){		
		if(VideoPage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('Videos');
		    var ad = new Ad(adUrl,VideoPage.page.adBarId);
			ad.updateHtml();
			VideoPage.adInterval = ad.loopAd(ad);
		}
	},
	loadCategoryConfig:function(){
		var categories = new Array();
		for(var i=0;i<SplashPage.config.video.categories.category.length;i++){
		    var category = SplashPage.config.video.categories.category[i];
			if(category.name.toLowerCase().indexOf('featured')>-1){
				category.html = '<td width="100px">'+
				'<a href="#_" onclick="VideoPage.featuredSelected();VideoPage.loadVideoListByCategory(\''+category.id+'\',\'featured\')"'+
				' id="videoFeatured" class="circularButton100LinkSel">'+category.name+'</a></td>';
				categories['featured']=category;
			}else if(category.name.toLowerCase().indexOf('games')>-1){				
			    category.html = '<td width="80px">'+
				'<a href="#_" onclick="VideoPage.gamesSelected();VideoPage.loadVideoListByCategory(\''+category.id+'\',\'games\')"'+
				' id="videoGames" class="circularButton80Link">'+category.name+'</a></td>';
				categories['games']=category;
			}else{
				if(category.id){
					category.html = '<td width="80px">'+
					'<a href="#_" onclick="VideoPage.tvSelected();VideoPage.loadVideoListByCategory(\''+category.id+'\',\'others\')"'+
					' id="videoTv" class="circularButton80Link">'+category.name+'</a></td>'
					categories['others']=category;
				}
			}
		}
		VideoPage.categories = categories;
    },
	loadVideoListByCategory:function(categoryId,categoryName){	
	    var url=GameUrls.getVideoUrlByCategory(categoryId);
		VideoPage.page.loading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			error: VideoPage.error,
			success: function(xml){
				var video = $.xml2json(xml);
				VideoPage.video = VideoPage.filterVideos(video.channel.item,categoryName);	
				if(VideoPage.video.length>0){
					VideoPage.page.updateContentHtml(VideoPageHTML.fetchVideoList(VideoPage.video));
				}else{
					VideoPage.page.error(ErrorMessage.NO_VIDEO_ERROR);
				}
			}
		});		
	},
	error:function(xhr){
		if(xhr.status==0)
		  return;
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			VideoPage.success=true;
			VideoPage.page.error(ErrorMessage.NO_VIDEOS_ERROR);
		}else{
			if(!VideoPage.success)
				VideoPage.page.error(ErrorMessage.CONNECTION_ERROR);
		}
	},
	filterVideos:function(videos,categoryName){
		var videoArray = new Array();
		var isFiltered = false;
		for(var i=0;i<videos.length;i++){
			var video = videos[i];
			if(VideoPage.filterFeature==true && categoryName=='featured'){
				isFiltered = true;
				if(video.title.toLowerCase().indexOf('daily zap')>-1)
				   videoArray.push(video);
			}else if(VideoPage.filterGame==true && categoryName=="games"){
				 isFiltered = true;
				 if(video.gotw=='true'){
					 videoArray.push(video);
				 }
			}
		}
		if(isFiltered){
		   return videoArray;
		}else{
		   return videos;
		}
	},
	featuredSelected:function(){
		$("#videoFeatured").removeClass("circularButton100LinkSel");
		$("#videoTv").removeClass("circularButton80LinkSel");
		$("#videoGames").removeClass("circularButton80LinkSel");		
		
		$("#videoTv").addClass("circularButton80Link");
		$("#videoGames").addClass("circularButton80Link");
		
		$("#videoFeatured").removeClass("circularButton100Link");
		$("#videoFeatured").addClass("circularButton100LinkSel");
	},
	tvSelected:function(){
		$("#videoFeatured").removeClass("circularButton100LinkSel");
		$("#videoTv").removeClass("circularButton80LinkSel");
		$("#videoGames").removeClass("circularButton80LinkSel");
		
		$("#videoFeatured").addClass("circularButton100Link");
		$("#videoGames").addClass("circularButton80Link");
		
		$("#videoTv").removeClass("circularButton80Link");
		$("#videoTv").addClass("circularButton80LinkSel");
	},
	gamesSelected:function(){
		$("#videoFeatured").removeClass("circularButton100LinkSel");
		$("#videoTv").removeClass("circularButton80LinkSel");
		$("#videoGames").removeClass("circularButton80LinkSel");
		
		$("#videoFeatured").addClass("circularButton100Link");
		$("#videoTv").addClass("circularButton80Link");
		
		$("#videoGames").removeClass("circularButton80Link");
		$("#videoGames").addClass("circularButton80LinkSel");
	}
	
};
